- Home
- API Enriched
- Billing And Usage
- web
- Custom GET Quota Limits.
Custom GET Quota Limits.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/quota/limits';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/quota/limits \ --header 'Authorization: <Authorization>'Custom endpoint to return quota limits.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace The namespace this item belongs to.
Responses
Section titled “Responses”A successful response.
Map of quotas that are assigned for the current tenant and namespace.
object
APILimits object. Deprecated by ‘APIs’
object
Configured rate limits for APIs.
object
FloatQuotaUsage object. Deprecated by ‘resources’
object
Configured limits for object instances.
object
QuotaUsage object. Deprecated by ‘objects’
object
Configured limits for resources if relevant.
object
Examplegenerated
{ "api_limits": {}, "apis": {}, "float_quota_usage": {}, "objects": {}, "quota_usage": {}, "resources": {}}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example